<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__rtc__dst__functions" kind="group">
    <compoundname>group_rtc_dst_functions</compoundname>
    <title>DST functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__rtc__dst__functions_1gafaa2c3a4ba08f8fa5050b42527680995" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__rtc__enums_1ga45a1b113f07f81bc369d7bf9da75eaae">cy_en_rtc_status_t</ref></type>
        <definition>cy_en_rtc_status_t Cy_RTC_EnableDstTime</definition>
        <argsstring>(cy_stc_rtc_dst_t const *dstTime, cy_stc_rtc_config_t const *timeDate)</argsstring>
        <name>Cy_RTC_EnableDstTime</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__rtc__dst__t">cy_stc_rtc_dst_t</ref> const *</type>
          <declname>dstTime</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__rtc__config__t">cy_stc_rtc_config_t</ref> const *</type>
          <declname>timeDate</declname>
        </param>
        <briefdescription>
<para>The function sets the DST time and configures the ALARM2 interrupt register with the appropriate DST time. </para>        </briefdescription>
        <detaileddescription>
<para>This function sets the DST stop time if the current time is already in the DST period. The DST period is a period of time between the DST start time and DST stop time. The DST start time and DST stop time is presented in the DST configuration structure, see <ref kindref="compound" refid="structcy__stc__rtc__dst__t">cy_stc_rtc_dst_t</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dstTime</parametername>
</parameternamelist>
<parameterdescription>
<para>The DST configuration structure, see <ref kindref="compound" refid="structcy__stc__rtc__dst__t">cy_stc_rtc_dst_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>timeDate</parametername>
</parameternamelist>
<parameterdescription>
<para>The time and date structure. The the appropriate DST time is set based on this time and date, see <ref kindref="compound" refid="structcy__stc__rtc__config__t">cy_stc_rtc_config_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_rtc_status_t A validation check result of RTC register update. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="883" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_rtc.c" bodystart="864" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="567" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>